Bug 1002897 - Firefox uses its own notifications instead of plasma ones at KDE
Firefox uses its own notifications instead of plasma ones at KDE
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 03:50 EDT by Andrew Travneff
Modified: 2015-01-19 13:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-19 13:04:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New FF notifications (102.43 KB, image/png)
2013-08-30 03:50 EDT, Andrew Travneff
no flags Details

  None (edit)
Description Andrew Travneff 2013-08-30 03:50:59 EDT
Created attachment 792079 [details]
New FF notifications

I'm not sure I got everything right, but seems like FF enabled a new notifications feature[1] and it broke the previous behaviour for KDE.
Now all the notifications are displayed with something different from the plasma functions (screenshot attached).

Reproduce:
Go here[2] and press the "Notify me!" button. My result is on the screenshot and it seems very similar to all another FF notifications for now.
It's different from the plasma popups as displayed by "kdialog --passivepopup text" or "notify-send subj text".

All of that worked fine previously (plasma was used). I'm not sure for the exact version, but it may be FF 21 or 20.

SW versions:
firefox-23.0-1.fc19.x86_64
libnotify-0.7.5-5.fc19.x86_64
kdelibs-4.10.5-1.fc19.x86_64

1: https://bugzilla.mozilla.org/show_bug.cgi?id=782211
2: https://developer.mozilla.org/en-US/docs/WebAPI/Using_Web_Notifications
Comment 1 Andrew Travneff 2013-10-23 05:29:43 EDT
Thunderbird has the same, so it might be a subject to reassign to another component.

thunderbird-24.0-3.fc19.x86_64
firefox-24.0-1.fc19.x86_64
xulrunner-24.0-2.fc19.x86_64
Comment 2 Andrew Travneff 2014-04-21 04:28:20 EDT
FF28 still has it. Popup history (like plasma tray icon) is unavailable in this case—you easily miss some notifications.
Comment 3 Andrew Travneff 2014-07-18 07:52:44 EDT
Still actual for firefox-30.0-4.fc20.x86_64
Just in case, thunderbird-24.6.0-1.fc20.x86_64 is OK with that.
Both shoud use xulrunner-30.0-1.fc20.x86_64
Comment 4 Andrew Travneff 2014-08-09 15:13:46 EDT
Fixed in firefox-31.0-2.fc20.x86_64
Related: https://bugzilla.mozilla.org/show_bug.cgi?id=858919
Comment 6 Andrew Travneff 2014-10-19 14:10:42 EDT
I have F20, so tested just firefox-33.0-2.fc20.x86_64 (did nothing with xulrunner: 32.0-1.fc20.x86_64 installed). It does not have the subject issue and uses Plasma notifications as desired.
Comment 7 Martin Stransky 2015-01-19 13:04:10 EST
Okay, Thanks for the info.

Note You need to log in before you can comment on or make changes to this bug.